.block-egg-stats{z-index: 1;}
.block-egg-stats .stats-wrapper{position: relative; z-index: 1; padding-bottom: 5rem;}
.block-egg-stats .stat{color: #fff; display: grid; justify-content: center; background: #252237; background: linear-gradient(180deg, rgba(35, 210, 255, 1) 0px, rgba(35, 210, 255, 1) 160px, rgba(37, 34, 55, 1) 160px, rgba(37, 34, 55, 1) 100%); border-radius: 50% 50% 50% 50% / 59% 59% 41% 41%; overflow: hidden; position: relative; width: 90%; padding: 0 0 8rem; text-align: center;}
.block-egg-stats .stat-content{padding: 2rem 5rem 2rem; position: relative; z-index: 2; display: grid; grid-template-rows: 140px 1fr;}
.block-egg-stats .stat .stat-number{font-size: 5.25rem; font-weight: 600; line-height: 1; align-self: center; padding-bottom: 1rem;}
.block-egg-stats .stat .stat-description{font-size: 3rem; align-self: end;}

/* .block-egg-stats .stat .egg-top{position: absolute; top: 0; left: 0; right: 0; bottom: 60%; background-color: #23D2FF; z-index: 1;} */
.block-egg-stats .background {position: absolute; top: 160px; left: 0; right: 0; bottom: 0; z-index: -1;}
.block-egg-stats .background img{position: absolute; top: 50%; left: 50%; transform: translate(-50%, -50%); object-fit: cover; object-position: center; width: 100%; height: 100%;}

@media(max-width: 1024px){
    .block-egg-stats .stat{max-width: 320px; margin: 0 auto; padding: 2rem 0 4rem;}
    .block-egg-stats .stat-content{padding: 0 5rem 5rem;}
    .block-egg-stats .stat .stat-description{font-size: 2.5rem;}
}